MINOVA DEMO - Bug #1636

[HR - Time Management] Absence Quota tidak menghitung jumlah hari yang diambil, sehingga tidak

berkurang.
09/27/2022 02:18 PM - Fiona Avangeline Jonathan

Status: Closed

Priority: Urgent

Assignee: Fiona Avangeline Jonathan
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

09/27/2022
09/30/2022
0%

0.00 hour
3.30 hours

Description
Dear Team Developer,

Mohon bantuannya untuk menangani masalah yang terjadi, yaitu absence quota di HR tidak menghitung jumlah hari yang ditentukan
selain WSType 5D8H, sehingga quota tidak berkurang.
sudah melakukan penambahan di table PHRTMWSTYP, PHRTMWSGEN, PHRTMWSCAL.

Mungkin yang harus dirubah adalah enginenya, tetapi jangan dihardcode, dan tetep baca sesuai WS nya employee masing-masing.

contoh employee : 10000148

Port : http://demo.minovais.com:61124/
Server : 45.251.75.66
DB : MinovaES_Demo

Menu : HR > HR Administration > Time Management > Time Data > Absence

Semoga dapat dimengerti
Terimakasih
History

#1 - 09/27/2022 02:37 PM - Fiona Avangeline Jonathan

- Description updated

#2 - 09/29/2022 07:31 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#3 - 10/09/2022 02:48 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , udah bisa di test ya

package :
update mdgenerator :

update file ...\U\scripts\mdgenerator.js

pada line 126 menjadi :

waitMsg: 'Saving Data...",

success: function (response) {

var result = Ext.decode(response.responseText);
if (result.success) {

if (tableName =='PHRPA0018') {

var RemainQuota = frm.getValues(). TotalAbsenceTaken;
var EmployeelD = frm.getValues().EmployeelD;

var AbsenceQuotaType = frm.getValues().AbsenceType;
MinovaUtil.ExecuteParamQuery({
http://demo.minovais.com:61124/

ID: "SETPHRPA0017",
RemainQuota:RemainQuota,
EmployeelD:EmployeelD,
AbsenceQuotaType:AbsenceQuotaType

}, function(s) {

try {

var result = Ext.decode(s.responseText).data;
var dataGrid = Ext.decode(Ext.decode(result));
} catch (e) {}

}, function(f) {});

}
TAMBAHAN PADA TABLE PCMWFCUSTPARAM
ID: SETPHRPAO0017

update API1 dan API2 :
API1 = MinovalS.MinovaES.Implementation.Data.Element.dll
API2 = MinovalS.MinovaES.Implementation.Data.Element.dll

create sp :
- GetTotalTaken

cek di table PCMFUNC
- fnHitungAbsen2

#4 - 10/10/2022 09:43 AM - Fiona Avangeline Jonathan
- File clipboard-202210100943-a1usr.png added

- File clipboard-202210100943-nntxm.png added

- Status changed from QA Test to Closed

Done, terima kasih.

Time Data

HOME = TIME DATA

Employee Overview - 10000148 - ERICSSON

Employee 1D: 10000148
Full Name: ERICSSON
Employes Status: Active
Employee Type: Tetap
Work Schedule Personal WS Attendance
Action
Start Da... End Date Absence Type Delegate ...

17102022 2110i2022  Cuti Tahunan Karyawan
1210/2022 14102022 Cuti Tahunan Karyawan
101002022 10102022 Cuti Tahunan Karyawan
Company ID:

Employes Office:

Organization:

Paosition:

Absence Quota

Absence Addre...

Absence

Absence Phon

MINOWVAIS |
Minova (Jakarta)
Product Improvement

Product Improvement

Qvertime

Total Absence Tak...

Attendance Detail

Notes

Clear Filters
Time Data
HOME = TIME DATA

Employee Overview - 10000148 - ERICSSON

Employes 1D: 10000148 Company ID: MINOVAIS |
Full Name: ERICSSON Employes Office: Minova (Jakarta)
Employes Status: Active Organization: Product Improvement
Employee Type: Tetap Position: Product Improvement
Work Schedule Personal WS Attendance | Absence Quota | Absence Overtime Attendance Detail
Action Clear Filters
Start Da... End Date Absence Quota Type Start Deducti... End Deduction | Original Quot Remaining Quota | ExpiredQuo... Notes | Pre
01/01/2022  3112/2022  Cuti Tahunan Karyawan ~ 01/01/2021 3112/2022 12 3 3112/2022 10
